Bug 122655 - windows move or hang after switching workspace by keyboard (ctrl-alt-arrow) in some gnome/metacity themes
windows move or hang after switching workspace by keyboard (ctrl-alt-arrow) i...
Product: Fedora
Classification: Fedora
Component: gnome-themes (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2004-05-06 13:17 EDT by Tomasz Ostrowski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-20 04:06:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Ostrowski 2004-05-06 13:17:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
In "Simple" theme when I open first application, switch worskpace and
switch workspace back to where I opened this application the window of
the application will move about 10 pixels down. When I repeat this
several times gnome will hang.

When I click or move this window it will no longer move down when
swithing desktops.

I do not know if it is gnome-themes or metacity bug.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Change theme to "Simple"
2. Logout
3. Login
4. Open Accessiories->Calculator
5. Ctrl-Alt-Right
6. Ctrl-Alt-Left
7. repeat 5 and 6 until hang

Actual Results:  Calculator window moves down and in the end, after
about 20 workspace swithes the whole gnome hangs

Expected Results:  Window does not move and I can switch workspaces
until I die.

Additional info:

My system is fully pathed FC1 on Celeron 1200 with nVidia GeForce2 MX
400 using "NVIDIA Accelerated Graphics Driver for Linux-x86 version
1.0-5336". It was upgraded from RH9 to FC1 by installing yum-2.0.5-1
and "yum upgrade".

Workaround: choose another theme or click the first window you open
after login.
Comment 1 Tomasz Ostrowski 2004-05-06 13:35:37 EDT
Other themes are affected. This is the list:
    High Contrast
    High Contrast Inverse
    Large Print
Comment 2 Alexander Larsson 2004-10-05 10:40:06 EDT
I was totally unable to reproduce on fc3test2+rawhide. Do you still
see this with the latest versions?
Comment 3 Tomasz Ostrowski 2004-10-19 12:59:53 EDT
I was also unable to reproduce on fc3test3. I think you can close this
bug then.

Note You need to log in before you can comment on or make changes to this bug.